import request from "@/utils/request";
import { AxiosPromise } from "axios";

export function queryOutSourceDetails(
    id: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/process/outsource/get/" + id,
    method: "get",
  });
}

export function updateOutSourceApply(
    params: object
): AxiosPromise<any> {
  return request({
    url: "/api/v1/process/outsource/update",
    method: "post",
    data: params
  });
}


export function prepareCheckInfo(
    workOrderCode: string
): AxiosPromise<any> {
  return request({
    url: "/api/v1/process/prepare/checkInfo/"+workOrderCode,
    method: "get",
  });
}
export function refreshPrepareCheckInfo(
    workOrderCode: string
): AxiosPromise<any> {
  return request({
    url: "/api/v1/process/prepare/refresh/"+workOrderCode,
    method: "get",
  });
}

